-- This file:
--   http://anggtwu.net/blogme3/sandwiches-all.lua.html
--   http://anggtwu.net/blogme3/sandwiches-all.lua
--           (find-angg "blogme3/sandwiches-all.lua")
-- Author: Eduardo Ochs <eduardoochs@gmail.com>
--
-- This file loads sandwiches.lua, sandwiches-defs.lua, and several
-- (or: "all") other extensions that use them.
--
-- (defun sal () (interactive) (find-blogme3 "sandwiches-all.lua"))

-- Note (2023): most .blogme files that have a
--   require "sandwiches-all"
-- in their headers should have it replaced by this:
--   require "defs-2022"    -- (find-blogme3 "defs-2022.lua")



require "sandwiches"        -- (find-blogme3 "sandwiches.lua")
require "sandwiches-defs"   -- (find-blogme3 "sandwiches-defs.lua")

-- (find-blogme3 "sandwiches-defs.lua" "use_sand_htmlizeline")
use_sand_htmlizeline()

require "videoindex"        -- (find-blogme3 "videoindex.lua")

-- (find-blogme3 "sexp.lua" "STOH")


-- (find-blogme3 "sandwiches-defs.lua" "Short_")
-- (find-blogme3 "sandwiches-defs.lua" "Short_-tests")

-- def [[ _ 2 shorthand,text R(short_:expand(shorthand), nilify(text) or shorthand) ]]

short_ = Short_.from [[

    M-e             => (find-eev-quick-intro "2. Evaluating Lisp")
    M-j             => (find-eev-quick-intro "7.2. The list of eejump targets")
    M-k             => (find-eval-intro "5. Going back")
    f8              => (find-eev-quick-intro "6. Controlling shell-like programs")
    main-keys       => (find-emacs-keys-intro)
    cut-and-paste   => (find-eev-quick-intro "5.2. Cutting and pasting")
    task-and-notes  => (find-here-links-intro "1. Alternating between \"task\" and \"notes\"")
    emacs-keys-567  => (find-emacs-keys-intro "5. Undoing")
    elisp           => (find-elisp-intro)
    lexical         => (find-lexical-intro)

    test-blocks-pdf -> http://anggtwu.net/LATEX/2021emacsconf.pdf

    eeit            => (find-eepitch-intro "3. Test blocks")
    find-eeit-links => (find-eepitch-intro "3.1. `find-eeit-links'")
    eepitch-block   => (find-eev-quick-intro "6. Controlling shell-like programs")
    dofile          => (find-lua51manual "#pdf-dofile")
    dofile          -> http://anggtwu.net/IMAGES/2021-square-cube-3.png
    languages       => (find-eev "eev-testblocks.el" "examples")
    nav             -> 2020-list-packages-eev-nav.html
    oficina         -> 2021-oficina.html
    psne            => (find-psne-intro)
    video-links     -> http://anggtwu.net/2021-video-links.html

]]




-- Local Variables:
-- coding:  utf-8-unix
-- End:

